Summary:        Vulkan ICD desktop loader
Name:           vulkan-loader
Version:        1.3.280.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Loader
Source0:        %{url}/archive/refs/tags/vulkan-sdk-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake3
BuildRequires:  python%{python3_pkgversion}-devel ninja-build
BuildRequires:  vulkan-headers = %{version}
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server) pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11) pkgconfig(xrandr)

Provides:       vulkan = %{version}-%{release}
Provides:       vulkan-filesystem = %{version}-%{release}

%description
This project provides Khronos official Vulkan ICD desktop loader
for Windows, Linux, and MacOS.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vulkan-headers
Provides:       vulkan-devel = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing

%prep
%autosetup -p1 -n Vulkan-Loader-vulkan-sdk-%{version}

%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_sysconfdir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}%{_datadir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}{%{_sysconfdir},%{_datadir}}/vulkan/icd.d

%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%dir %{_sysconfdir}/vulkan/
%dir %{_sysconfdir}/vulkan/explicit_layer.d/
%dir %{_sysconfdir}/vulkan/icd.d/
%dir %{_sysconfdir}/vulkan/implicit_layer.d/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/vulkan/explicit_layer.d/
%dir %{_datadir}/vulkan/icd.d/
%dir %{_datadir}/vulkan/implicit_layer.d/
%{_libdir}/*.so.*

%files devel
%{_libdir}/pkgconfig/vulkan.pc
%{_libdir}/*.so
%{_libdir}/cmake/VulkanLoader/*.cmake

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.280.0-2
- Rebuilt for loongarch release

* Wed May 08 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.3.280.0-1
- Upgrade to version 1.3.280.0 for ffmpeg 7.0.

* Tue Dec 19 2023 luffyluo <luffyluo@tencent.com> - 1.3.268.0-1
- Upgrade to version 1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.3.250.0-1
- update to 1.3.250.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.239.0-1
- upgrade to 1.3.239.0

* Fri Jan 6 2023 cunshunxia <cunshunxia@tencent.com> - 1.3.235-1
- upgrade to 1.3.235

* Wed Sep 21 2022 Shuo Wang <abushwang@tencent.com> - 1.3.224.0-1
- initial build
